<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="page">
    <html>
      <head>
        <title><xsl:value-of select="title"/></title>
      </head>
      <body>
    
        <h1><xsl:value-of select="title"/></h1>
    
        <![CDATA[<%]]>
        
        int i = <xsl:value-of select="value"/>;
        String s = <xsl:value-of select="string"/>;
        
        %>
    
        <p><![CDATA[<%]]>=s %></p>
        <p>The number is <![CDATA[<%]]>=i %>.
    
        <![CDATA[<% if ( i < ]]> <xsl:value-of select="value"/> ) { %>
          <br/><xsl:value-of select="comparison/less"/> <xsl:value-of select="value"/>
        <![CDATA[<%]]> } else { %>
          <br/><xsl:value-of select="comparison/more"/> <xsl:value-of select="value"/>
        <![CDATA[<%]]> } %>
        
        </p>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>